Cyberduck Mountain Duck CLI

#7744 closed defect (thirdparty)

Uploading file replaces file with (non-working) link to temp. file

Reported by: tex-pun Owned by: dkocher
Priority: normal Milestone: 4.4.4
Component: sftp Version: 4.4.3
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.9

Description

Since a few days, I run into a serious problem when using Cyberduck to access an sftp server: when I open a file on a server, edit it locally and then save the file, the file is not uploaded correctly by Cyberduck back to the server. A temporary file is uploaded, but then the original file is replaced with a link to the temporary file - which doesn't work. The same task done with another program works without problems, so I assume it has to do with Cyberduck.

Change History (10)

comment:1 Changed on Jan 20, 2014 at 10:16:08 AM by dkocher

  • Milestone set to 4.4.4

Please update to the latest snapshot build available and post the transcript from the log drawer (⌘-L) of the Transfers window.

comment:2 Changed on Jan 20, 2014 at 10:16:27 AM by dkocher

  • Status changed from new to assigned

This is possibly fixed in r14189.

comment:3 follow-up: Changed on Jan 20, 2014 at 11:24:41 AM by tex-pun

I updated to the latest snapshot build (14219), but the problem persists.

I feel that my previous description is a bit misleading. I don't manually download the file, edit the copy on my local machine, and then manually upload again (this works without problems). I double-click on the file in Cyberduck, it opens in my editor (Aquamacs), I edit the file, click on save and it should be automatically uploaded back to the server. This doesn't work correctly, as described above (but only with files in certain folders). Since I do the editing "in-place", there is no log in the Transfers window.

Last edited on Jan 20, 2014 at 11:24:57 AM by tex-pun (previous) (diff)

comment:4 follow-up: Changed on Jan 21, 2014 at 12:21:54 PM by dkocher

Please post the transcript from the log drawer (⌘-L) from the browser window.

comment:5 in reply to: ↑ 3 ; follow-up: Changed on Jan 21, 2014 at 12:22:27 PM by dkocher

Replying to tex-pun:

as described above (but only with files in certain folders).

What is different with these folders from others working?

comment:6 in reply to: ↑ 4 Changed on Jan 23, 2014 at 6:43:56 AM by tex-pun

Replying to dkocher:

Please post the transcript from the log drawer (⌘-L) from the browser window.


SSH_FXP_STAT
SSH_FXP_ATTRS
SSH_FXP_STAT
SSH_FXP_ATTRS
SSH_FXP_STAT
SSH_FXP_ATTRS
SSH_FXP_STAT
SSH_FXP_ATTRS
SSH_FXP_STAT
SSH_FXP_ATTRS
SSH_FXP_STAT
SSH_FXP_ATTRS
SSH_FXP_REMOVE
SSH_FXP_STATUS
SSH_FXP_RENAME
SSH_FXP_STATUS
SSH_FXP_SETSTAT
SSH_FXP_STATUS
No such file

Last edited on Jan 23, 2014 at 6:45:10 AM by tex-pun (previous) (diff)

comment:7 in reply to: ↑ 5 Changed on Jan 23, 2014 at 6:47:23 AM by tex-pun

Replying to dkocher:

Replying to tex-pun:

as described above (but only with files in certain folders).

What is different with these folders from others working?

The access rights etc. are exactly the same, the only difference I can see at the moment is that the non-working folders are under a different filesystem (FraunhoferFS) than the others (NFS).

comment:8 Changed on Jan 23, 2014 at 9:23:52 AM by dkocher

From the transcript it looks like the SSH_FXP_RENAME operation is failing silently on the server as subsequently when requesting the file it fails with SSH_FX_NO_SUCH_FILE.

comment:9 Changed on Jan 23, 2014 at 9:26:51 AM by dkocher

  • Resolution set to thirdparty
  • Status changed from assigned to closed

Set the hidden property editor.upload.temporary to disable the use of temporary name on upload when uploading changes from the editor on save.

defaults write ch.sudo.cyberduck editor.upload.temporary false

comment:10 Changed on Jan 23, 2014 at 9:58:27 AM by tex-pun

This works like a charm! Thanks!

Note: See TracTickets for help on using tickets.